Technical FAQs

Ask a Question

Windows update KB2919355 does not install but is required during a Power Monitoring Expert or Power SCADA Expert Installation

Issue
The Power Monitoring Expert or Power SCADA Expert installer requires .NET 4.6 as a prerequisite to the software installation. The PME/PSE installer fails to install .Net 4.6 requiring cumulative update KB2919355 be installed first.

The following error is displayed when attempting to install the KB2919355 update:

"Update is not applicable to your computer". 

Product
Power Monitoring expert (PME) 8.1
Power SCADA Expert (PSE) 8.1

Environment
Windows Server 2012 R2

Cause
PME 8.1 installer requires .net 4.6. For Windows server 2012 R2, to install .NET 4.6, it is required to have cumulative update KB2919355 installed first. In order to install the Windows update KB2919355, KB2919442 needs to be installed first.

Resolution
1) Install KB2919442. The update install can be downloaded from KB2919442. This link will suggests the update is intended for Windows 8.1 but this must also be applied to Windows Server 2012 R2.

2) Install KB2919355. The update install can be downloaded from KB2919355. This link provides instructions on applying the update.
    a) Click the download button and select the installers to download
    b) Run/install the files in the following order: clearcompressionflag.exe, KB2919355, KB2932046, KB2959977, KB2937592, KB2938439, and KB2934018.

Note:
KB2919442 is a prerequisite for Windows Server 2012 R2 Update and should be installed before attempting to install KB2919355
Was this helpful?
What can we do to improve the information ?